<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".ui.fragments.QueryOneFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingLeft="10dp"
        android:paddingTop="20dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="35dp"
            android:layout_marginRight="16dp"
            android:gravity="right"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="100dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="5dp"
                android:background="@drawable/bg_shu_ru_kuang_twoe">

                <TextView
                    android:id="@+id/chemType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="7.5dp"
                    android:text="类别"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@mipmap/icon_kzjc_zk" />

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="75dp"
                android:layout_height="30dp"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:background="@drawable/bg_shu_ru_kuang_twoe">

                <Spinner
                    android:id="@+id/spLev"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_centerVertical="true"
                    android:background="@null"
                    android:entries="@array/spinner_spLev"
                    android:gravity="center"
                    android:padding="2dp"
                    android:text="级别"
                    android:textColor="@color/black" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@mipmap/icon_kzjc_zk" />

            </RelativeLayout>

            <EditText
                android:id="@+id/edCont"
                android:layout_width="261dp"
                android:layout_height="30dp"
                android:layout_marginLeft="5dp"
                android:layout_toLeftOf="@+id/re3"
                android:background="@drawable/bg_shu_ru_kuang_twoe"
                android:gravity="center_vertical"
                android:hint="化学品名/拼音首字母/CAS"
                android:imeOptions="actionDone"
                android:padding="4dp"
                android:singleLine="true"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/reQuy"
                android:layout_width="45dp"
                android:layout_height="30dp"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:background="@drawable/bgm_cha_xun"
                android:gravity="center"
                android:text="查询"
                android:textColor="@color/white"
                android:textSize="12sp" />


            <TextView
                android:id="@+id/resetting"
                android:layout_width="45dp"
                android:layout_height="30dp"
                android:background="@drawable/bgm_cha_cun_two"
                android:gravity="center"
                android:text="重置"
                android:textColor="@color/purple_FF666666"
                android:textSize="12sp" />

            <RelativeLayout
                android:id="@+id/re3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:visibility="gone">

                <ImageView
                    android:layout_width="35dp"
                    android:layout_height="30dp"
                    android:background="@drawable/bg_no_01" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:layout_centerVertical="true"
                    android:background="@mipmap/icon_ss" />
            </RelativeLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/bg_bei_ji"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="名称"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="CAS码"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="类别"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="级别"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="纯度"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="库存量"
                android:textColor="@color/black" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="数量"
                android:textColor="@color/black" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvUse"
            android:layout_width="match_parent"
            android:layout_height="216dp"
            android:layout_marginRight="16dp"
            tools:listitem="@layout/item_inquiry" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="19dp">

        <LinearLayout
            android:id="@+id/rvPage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/one"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:background="@drawable/bg_sou_suo_page"
                android:gravity="center"
                android:text="1"
                android:textColor="@color/white"
                android:textSize="10sp" />

            <TextView
                android:id="@+id/two"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two_page"
                android:gravity="center"
                android:text="2"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/three"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="3"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/drop"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="..."
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/many"
                android:layout_width="30dp"
                android:layout_height="25dp"
                android:layout_marginLeft="10dp"
                android:background="@drawable/bg_sou_suo_two"
                android:gravity="center"
                android:text="4"
                android:textColor="@color/black"
                android:textSize="10sp"
                android:visibility="gone" />
        </LinearLayout>

        <Button
            android:id="@+id/butUpper"
            android:layout_width="65dp"
            android:layout_height="25dp"
            android:layout_centerVertical="true"
            android:layout_marginRight="10dp"
            android:layout_toLeftOf="@+id/rvPage"
            android:background="@drawable/bg_up_page"
            android:text="上一页"
            android:textColor="@color/black"
            android:textSize="10sp" />

        <Button
            android:id="@+id/butNext"
            android:layout_width="65dp"
            android:layout_height="25dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/rvPage"
            android:background="@drawable/bg_sou_suo_page"
            android:text="下一页"
            android:textColor="@color/white"
            android:textSize="10sp" />
    </RelativeLayout>

</RelativeLayout>